#include <stdio.h>
#include <stdlib.h>

int main()
{
    int a,b,x,y;

    scanf("%d %d",&a,&b);
    scanf("%d %d",&x,&y);

    if (a==x && b==y)
        printf("nijedan");

    if (a==x && b!=y)
        printf("drugi");

    if (a!=x && b==y)
        printf("prvi");

    if (a!=x && b!=y)
        printf("?");

    return 0;
}